Loading...
Searching...
No Matches
Opm::UDQUnaryElementalFunction Class Reference
Inheritance diagram for Opm::UDQUnaryElementalFunction:

## Public Member Functions

| UDQUnaryElementalFunction (const std::string &name, std::function< UDQSet(const UDQSet &arg)> f)
UDQSet | eval (const UDQSet &arg) const
Public Member Functions inherited from Opm::UDQFunction
| UDQFunction (const std::string &name)
| UDQFunction (const std::string &name, UDQTokenType funcType)
const std::string & | name () const
UDQTokenType | type () const
bool | operator== (const UDQFunction &data) const

## Static Public Member Functions

static UDQSet | ABS (const UDQSet &arg)
static UDQSet | DEF (const UDQSet &arg)
static UDQSet | EXP (const UDQSet &arg)
static UDQSet | IDV (const UDQSet &arg)
static UDQSet | LN (const UDQSet &arg)
static UDQSet | LOG (const UDQSet &arg)
static UDQSet | NINT (const UDQSet &arg)
static UDQSet | SORTA (const UDQSet &arg)
static UDQSet | SORTD (const UDQSet &arg)
static UDQSet | UNDEF (const UDQSet &arg)
static UDQSet | RANDN (std::mt19937 &rng, const UDQSet &arg)
static UDQSet | RANDU (std::mt19937 &rng, const UDQSet &arg)

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/UDQ/UDQFunction.hpp
- opm/input/eclipse/Schedule/UDQ/UDQFunction.cpp